Bug 177871 - System fails to resume from suspend
System fails to resume from suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-15 17:49 EST by Andy Burns
Modified: 2015-01-04 17:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2006-01-15 17:49:06 EST
Description of problem:

system suspends with pm-suspend but fails to reactivate

Version-Release number of selected component (if applicable):

2.6.15-1.1854_FC5

How reproducible:

100% 

Steps to Reproduce:
1. service syslog stop
2. pm-suspend
3. {{wait for machine to suspend}}
4. press any key on PS/2 keyboard to revive
  
Actual results:

machine powers back on, lots of garbage on COM1: which is not intelligible at
either 9600 or 115200 baud rate, caps/scroll lock lights flashing in unison,
machine hard locked

Expected results:

System bursts back into life and gets on with life ...

Additional info:

machine in runlevel3 to elimiate Xorg, tried suspending from vgaconsole or
serial console.

Had to stop syslog before running pm-suspend as it refuses to stop, this  is
logged as separate BZ #177869

people.redhat.com/davej kernels from a few days earlier got further, they did
power back on, but then failed to read from /dev/sdX presume this is related to
2.6.16 sata suspend patch? BZ #169201 

Machine is a desktop, using intel D945GTP motherboard with up to date BIOS.

Bootdata ok (command line is ro root=/dev/vg00/lv00 debug console=ttyS0,9600)
Linux version 2.6.15-1.1854_FC5 (bhcompile@hs20-bc1-2.build.redhat.com) (gcc
version 4.1.0 20060106 (Red Hat 4.1.0-0.14)) #1 SMP Sat Jan 14 04:58:11 EST 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fe4c000 (usable)
 BIOS-e820: 000000003fe4c000 - 000000003fe56000 (ACPI NVS)
 BIOS-e820: 000000003fe56000 - 000000003fe87000 (usable)
 BIOS-e820: 000000003fe87000 - 000000003fee9000 (ACPI NVS)
 BIOS-e820: 000000003fee9000 - 000000003feed000 (usable)
 BIOS-e820: 000000003feed000 - 000000003feff000 (ACPI data)
 BIOS-e820: 000000003feff000 - 000000003ff00000 (usable)
ACPI: RSDP (v000 INTEL                                 ) @ 0x00000000000fe020
ACPI: RSDT (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x000000003fefde48
ACPI: FADT (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x000000003fefcf10
ACPI: MADT (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x000000003fefce10
ACPI: WDDT (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x000000003fef7f90
ACPI: MCFG (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x000000003fef7f10
ACPI: HPET (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x000000003fef7e90
ACPI: SSDT (v001 INTEL     CpuPm 0x00000ca7 MSFT 0x01000013) @ 0x000000003fefdc10
ACPI: SSDT (v001 INTEL   Cpu0Ist 0x00000ca7 MSFT 0x01000013) @ 0x000000003fefda10
ACPI: SSDT (v001 INTEL   Cpu1Ist 0x00000ca7 MSFT 0x01000013) @ 0x000000003fefd810
ACPI: SSDT (v001 INTEL   Cpu2Ist 0x00000ca7 MSFT 0x01000013) @ 0x000000003fefd610
ACPI: SSDT (v001 INTEL   Cpu3Ist 0x00000ca7 MSFT 0x01000013) @ 0x000000003fefd410
ACPI: DSDT (v001 INTEL  D945GTP  0x00000ca7 MSFT 0x01000013) @ 0x0000000000000000
No NUMA configuration found
Faking a node at 0000000000000000-000000003ff00000
Bootmem setup node 0 0000000000000000-000000003ff00000
On node 0 totalpages: 256413
  DMA zone: 2775 pages, LIFO batch:0
  DMA32 zone: 253638 pages, LIFO batch:31
  Normal zone: 0 pages, LIFO batch:0
  HighMem zone: 0 pages, LIFO batch:0
ACPI: PM-Timer IO Port: 0x408
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:4 APIC version 20
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:4 APIC version 20
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x82] disabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x83] disabled)
ACPI: LAPIC_NMI (acpi_id[0x01] dfl dfl lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x02] dfl dfl lint[0x1])
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to physical flat
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 40000000 (gap: 3ff00000:c0100000)
Checking aperture...
SMP: Allowing 4 CPUs, 2 hotplug CPUs
Built 1 zonelists
Kernel command line: ro root=/dev/vg00/lv00 debug console=ttyS0,9600
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 131072 bytes)
time.c: Using 14.318180 MHz HPET timer.
time.c: Detected 3000.065 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
PCI-DMA: Disabling IOMMU.
Memory: 1022124k/1047552k available (2339k kernel code, 24536k reserved, 1188k
data, 228k init)
Calibrating delay using timer specific routine.. 6006.56 BogoMIPS (lpj=12013123)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
using mwait in idle threads.
CPU: Physical Processor ID: 0
CPU0: Thermal monitoring enabled (TM1)
mtrr: v2.0 (20020519)
Using local APIC timer interrupts.
Detected 12.500 MHz APIC timer.
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 6000.12 BogoMIPS (lpj=12000244)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU1: Thermal monitoring enabled (TM1)
              Intel(R) Pentium(R) 4 CPU 3.00GHz stepping 03
Brought up 2 CPUs
time.c: Using HPET/TSC based timekeeping.
testing NMI watchdog ... OK.
migration_cost=14
checking if image is initramfs... it is
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using configuration type 1
PCI: Using MMCONFIG at f0000000
ACPI: Subsystem revision 20050902
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Boot video device is 0000:01:00.0
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P32_._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 7 *9 10 11 12)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 7 9 *10 11 12)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX5._PRT]
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 12 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
hpet0: at MMIO 0xfed00000 (virtual 0xffffffffff5fe000), IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
pnp: 00:05: ioport range 0x500-0x53f has been reserved
pnp: 00:05: ioport range 0x400-0x47f could not be reserved
pnp: 00:05: ioport range 0x680-0x6ff has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: 2000-2fff
  MEM window: 50100000-501fffff
  PREFETCH window: 40000000-4fffffff
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: 50300000-503fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.2
  IO window: disabled.
  MEM window: 50400000-504fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.3
  IO window: disabled.
  MEM window: 50500000-505fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.4
  IO window: disabled.
  MEM window: 50600000-506fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.5
  IO window: disabled.
  MEM window: 50700000-507fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: 1000-1fff
  MEM window: 50000000-500fffff
  PREFETCH window: disabled.
GSI 16 sharing vector 0xA9 and IRQ 16
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:01.0 to 64
GSI 17 sharing vector 0xB1 and IRQ 17
ACPI: PCI Interrupt 0000:00:1c.0[A] -> <7>Losing some ticks... checking if CPU
frequency changed.
GSI 17 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:00:1c.0 to 64
GSI 18 sharing vector 0xB9 and IRQ 18
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:00:1c.2 to 64
GSI 19 sharing vector 0xC1 and IRQ 19
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 193
PCI: Setting latency timer of device 0000:00:1c.3 to 64
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 17 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:00:1c.4 to 64
ACPI: PCI Interrupt 0000:00:1c.5[B] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:1c.5 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24 13:02:28 ak Exp $
audit: initializing netlink socket (disabled)
audit(1137364049.964:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key AE497532855A90CA
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:01.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:01.0:pcie00]
Allocate Port Service[0000:00:01.0:pcie03]
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 17 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:00:1c.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.0:pcie00]
Allocate Port Service[0000:00:1c.0:pcie02]
Allocate Port Service[0000:00:1c.0:pcie03]
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:00:1c.2 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.2:pcie00]
Allocate Port Service[0000:00:1c.2:pcie02]
Allocate Port Service[0000:00:1c.2:pcie03]
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 193
PCI: Setting latency timer of device 0000:00:1c.3 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.3:pcie00]
Allocate Port Service[0000:00:1c.3:pcie02]
Allocate Port Service[0000:00:1c.3:pcie03]
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 17 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:00:1c.4 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.4:pcie00]
Allocate Port Service[0000:00:1c.4:pcie02]
Allocate Port Service[0000:00:1c.4:pcie03]
ACPI: PCI Interrupt 0000:00:1c.5[B] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:1c.5 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.5:pcie00]
Allocate Port Service[0000:00:1c.5:pcie02]
Allocate Port Service[0000:00:1c.5:pcie03]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Real Time Clock Driver v1.12ac
hpet_resources: 0xfed00000 is busy
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 945G Chipset.
agpgart: AGP aperture is 256M @ 0x0
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing enabled
erial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH7: IDE controller at PCI slot 0000:00:1f.1
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 185
ICH7: chipset revision 1
ICH7: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x30b0-0x30b7, BIOS settings: hda:DMA, hdb:pio
Probing IDE interface ide0...
hda: TSSTcorpCD/DVDW TS-H552B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hda: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
NET: Registered protocol family 2
input: AT Translated Set 2 keyboard as /class/input/input0
IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
TCP established hash table entries: 131072 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 9, 2097152 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI wakeup devices:
SLPB  P32 UAR1 PEX0 PEX1 PEX2 PEX3 PEX4 PEX5 UHC1 UHC2 UHC3 UHC4 EHCI AC9M AZAL
ACPI: (supports S0 S1 S3 S4 S5)
Freeing unused kernel memory: 228k freed
Write protecting the kernel read-only data: 428k
Red Hat nash version 5.0.17 starSCSI subsystem initialized
ting
Mounting plibata version 1.20 loaded.
roc filesystem
input: ImPS/2 Generic Wheel Mouse as /class/input/input1
Mounting sysfs fahci 0000:00:1f.2: version 1.2
ilesystem
CreatACPI: PCI Interrupt 0000:00:1f.2[B] -> ing /dev
CreatiGSI 19 (level, low) -> IRQ 193
ng initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading scsi_mod.ko module
Loading sd_mod.ko module
Loading libata.ko module
Loading ahci.ko module
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 3 Gbps 0xf impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq led clo pio slum part
ata1: SATA max UDMA/133 cmd 0xFFFFC2000000C100 ctl 0x0 bmdma 0x0 irq 66
ata2: SATA max UDMA/133 cmd 0xFFFFC2000000C180 ctl 0x0 bmdma 0x0 irq 66
ata3: SATA max UDMA/133 cmd 0xFFFFC2000000C200 ctl 0x0 bmdma 0x0 irq 66
ata4: SATA max UDMA/133 cmd 0xFFFFC2000000C280 ctl 0x0 bmdma 0x0 irq 66
ata1: SATA link up 3.0 Gbps (SStatus 123)
ata1: dev 0 cfg 49:2f00 82:746b 83:7f01 84:4023 85:7469 86:3c01 87:4023 88:207f
ata1: dev 0 ATA-7, max UDMA/133, 488397168 sectors: LBA48
ata1: dev 0 configured for UDMA/133
scsi0 : ahci
ata2: SATA link up 3.0 Gbps (SStatus 123)
ata2: dev 0 cfg 49:2f00 82:746b 83:7f01 84:4023 85:7469 86:3c01 87:4023 88:207f
ata2: dev 0 ATA-7, max UDMA/133, 488397168 sectors: LBA48
ata2: dev 0 configured for UDMA/133
scsi1 : ahci
ata3: SATA link down (SStatus 0)
scsi2 : ahci
ata4: SATA link down (SStatus 0)
scsi3 : ahci
  Vendor: ATA       Model: WDC WD2500KS-00M  Rev: 02.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 sda4
sd 0:0:0:0: Attached scsi disk sda
  Vendor: ATA       Model: WDC WD2500KS-00M  Rev: 02.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 488397168 512-byte hdwr sectors (250059 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
SCSI device sdb: 488397168 512-byte hdwr sectors (250059 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
 sdb: sdb1 sdb2 sdb3 sdb4
sd 1:0:0:0: Attached scsi disk sdb
Loading raid1.komd: raid1 personality registered for level 1
 module
Loading jbd.ko mdevice-mapper: 4.5.0-ioctl (2005-10-04) initialised:
dm-devel@redhat.com
odule
Loading ext3.ko module
Lmd: Autodetecting RAID arrays.
oading dm-mod.ko module
Loading dm-mirror.ko module
Loading dm-zero.ko module
Loading dm-snapmd: autorun ...
shot.ko module
md: considering sdb4 ...
Making device-mamd:  adding sdb4 ...
pper control nodmd: sdb2 has different UUID to sdb4
e
md: sdb1 has different UUID to sdb4
md:  adding sda4 ...
md: sda2 has different UUID to sdb4
md: sda1 has different UUID to sdb4
md: created md2
md: bind<sda4>
md: bind<sdb4>
md: running: <sdb4><sda4>
md: personality for level 0 is not loaded!
md: do_md_run() returned -22
md: md2 stopped.
md: unbind<sdb4>
md: export_rdev(sdb4)
md: unbind<sda4>
md: export_rdev(sda4)
md: considering sdb2 ...
md:  adding sdb2 ...
md: sdb1 has different UUID to sdb2
md:  adding sda2 ...
md: sda1 has different UUID to sdb2
md: created md1
md: bind<sda2>
md: bind<sdb2>
md: running: <sdb2><sda2>
raid1: raid set md1 active with 2 out of 2 mirrors
md: considering sdb1 ...
md:  adding sdb1 ...
md:  adding sda1 ...
md: created md0
md: bind<sda1>
md: bind<sdb1>
md: running: <sdb1><sda1>
raid1: raid set md0 active with 2 out of 2 mirrors
md: ... autorun DONE.
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  Found volume group "vg00" using metadata type lvm2
Activating logical volumes
  3 logical voEXT3-fs: INFO: recovery required on readonly filesystem.
lume(s) in volumEXT3-fs: write access will be enabled during recovery.
e group "vg00" now active
Trying to resume from LABEL=SWAP-sdb3
label SWAP-sdb3 not found
Unable to access resume device (LABEL=SWAP-sdb3)
Creating root device.
Mounting root filesystem.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 6 roles, 1112 types, 130 bools, 1 sens, 256 cats
security:  55 classes, 37146 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), not configured for labeling
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
INIT: version 2.86 booting
Comment 1 Andy Burns 2006-01-15 17:51:49 EST
similar result I had previosly captured with pm-hibernate instead of pm-suspend

# service syslog stop
Shutting down kernel logger: [  OK  ]
Shutting down system logger: [  OK  ]

# swapon -s
Filename                                Type            Size    Used    Priority
/dev/sdb3                               partition       1052248 0       -1
/dev/sda3                               partition       1052248 0       -2

# rmmod button

# pm-hibernate
Freezing cpus ...
Breaking affinity for irq 0
Breaking affinity for irq 1
CPU 1 is now offline
CPU1 is down
Stopping tasks:
====================================================================================================|
Shrinking memory...  <7>Losing some ticks... checking if CPU frequency changed.
                                                   
done (14299 pages freed)
pnp: Device 00:09 activated.
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
PM: writing image.
swsusp: Cannot find swap device, try swapon -a.
Restarting tasks... done
Thawing cpus ...
Booting processor 1/2 APIC 0x1

machine hung with caps/scroll flashing, no output on serial console

Comment 2 Andy Burns 2006-01-16 08:25:44 EST
Updated to 2.6.15-1.1857_FC5 which (if I read the 2.6.15-git11 diffs properly)
does include the sata resume patch?

Unfortunately I don't get far enough into the resume to read the disks, still
panics and flashes the keyboard LEDs immediately on triggering resume.

Comment 3 Andy Burns 2006-01-17 18:09:08 EST
Progressing in the wrong direction with this at the monent :-(

Upgraded to x86_64 kernel-2.6.15-1.1859_FC5 in order to perform an strace on the
reason why syslogd isn't stopped for BZ #177869    	  

With syslogd stopped manually, doing a pm-suspend from serial console now sends
the monitor into DPMS sleep, and hangs the machine without any opps/panic, no
keyboard LEDS flashing and no serial console output.

Comment 4 Andy Burns 2006-02-04 03:58:33 EST
Out of all my suspend/resume bugs I suppose this is the important one, no point
suspending if you can't resume,


now that the pm-suspend crasher is fixed
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=178339
I'm back at this point, I think I put a but more detail on the serial splurge on
the above mentioned bug.
Comment 5 Andy Burns 2006-02-26 17:27:22 EST
With kernel 1977 The machine does now suspend and resume (but has SATA issues)
new bug opened https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183138
Comment 6 Dave Jones 2006-03-05 00:35:46 EST
How're things looking with the latest bits ?
Comment 7 Andy Burns 2006-03-05 03:27:59 EST
I've not been keeping up with rawhide last few days (wasn't sure which kernels
had xen enabled) just updated to 2.6.15-1.2009.4.2_FC5 (and booted without
hypervisor to test suspend)

sleeps and wakes ok but sata still nor operative after resume
http://adslpipe.co.uk/pics/moresataerrs.jpg

disk messages on console do occur more frequently than before (extra debugging?)

I saw mention of various ati/vbetool changes, but I still have to flick VT1/VT7
to get video back after resume.

I was thinking kernel had entered deep freeze for release ...
Comment 8 Jeremy Katz 2006-04-21 08:45:12 EDT
ahci didn't have any of the suspend bits hooked up -- I've sent davej a patch
that seems to improve things on swsusp for me.  It's in today's kernel (2147_FC6).  

This won't work with s3 (sleep) yet as there's something else which has gone
wrong in libata-land that's affecting ata_piix (which previously did work).  But
could you test 2147 with pm-hibernate?
Comment 9 Andy Burns 2006-04-29 10:26:43 EDT
Rawhide had nudged up to 2171 by the time I found a suitable time to test this 

Installed the 2171 kernel and set grub.conf to only boot to init mode 3 (because
xorg configured for VGA->SCART 720x576 50Hz PAL interlace makes reading VGA
console impossible)

did a pm-hibernate, machine went to sleep ok, woke it up with power button
(should USB keyboard be able to wake it? I know PS/2 keyboard does) kernel
booted, after a few seconds it got "back" to the freezing CPUs/stopping
processes screen from where it went to sleep, sat there a few seconds then
seemed to revert to starting a normal boot, running the init scripts and forcing
an md raid1 rebuild, I risked it again and same thing.

I must admit I've only used pm-suspend before so not sure what a pm-hibernate
*should* do upon restarting, since this is my live mythv box I don't want to
risk losing GB of unwatached video I'll leave it there for now, but please prod
me again when there's a rawhide kernel worth testing with pm-suspend ...

Comment 10 Dave Jones 2006-10-16 14:39:57 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Darlene J. Ford 2006-10-20 00:09:49 EDT
Fails to resume from suspend (option on Fedora desktop menu) with kernel
2.6.18-1.2200.fc5.

Dual boot machine, also runs Windows NT.  Hardware HP Compaq Presario PC with
AMD Athlon 64 CPU.  Hardware supports "Standby" (low power) and "Hibernate"
(turns self off but remembers state it was left in) modes.  If memory serves,
both modes worked under Windows before Linux was installed, but have not worked
since.

Also have segmentation fault when shutting the PC down that I haven't debugged
yet. May or may not be related.

What additional information would be useful?
Comment 12 petrosyan 2008-03-10 20:00:29 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 13 Bug Zapper 2008-04-03 22:06:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 11:33:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.